- Aldebaran documentation |
- C++ Libraries |
- index

libalmath 2.8.7.4

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes
- Files

- Namespace List
- Namespace Members

All Classes Namespaces Files Functions Variables Typedefs Enumerations Enumerator Friends Macros Groups Pages
Functions
AL::qianim::V2::Key Namespace Reference

## Functions
ALMATH_API bool | is_key (const ptree::value_type &val)
ALMATH_API int | get_frame (const ptree &pt)
ALMATH_API void | put_frame (ptree &pt, int frame)
ALMATH_API ptree::size_type | erase_tangent (ptree &pt, Side side)
ALMATH_API optional< const ptree & > | get_tangent_optional (const ptree &pt, Side side)
ALMATH_API optional< ptree & > | get_tangent_optional (ptree &pt, Side side)
const ptree & | get_tangent (const ptree &pt, Side side)
ptree & | get_tangent (ptree &pt, Side side)
ALMATH_API ptree & | require_tangent (ptree &pt, Side side)
template<typename T >
std::enable_if < std::is_floating_point< T > ::value, ptree & >::type | put_tangent (ptree &pt, Side side, T abscissa, T ordinate)
template<typename T >
std::enable_if < std::is_floating_point< T > ::value, T >::type | get_value (const ptree &pt)
template<typename T >
std::enable_if < std::is_floating_point< T > ::value >::type | put_value (ptree &pt, T value)
template<typename T >
std::enable_if < std::is_floating_point< T > ::value >::type | check_cubic_bezier (int p0_frame, T, T p1_dframe, T, T p2_dframe, T, int p3_frame, T)
template<typename Scalar , typename Functor >
std::enable_if < std::is_floating_point < Scalar >::value >::type | apply_cubic_bezier (const ptree &p0_key, const ptree &p3_key, Functor op)

## Function Documentation

template<typename Scalar , typename Functor >

std::enable_if<std::is_floating_point<Scalar>::value>::type AL::qianim::V2::Key::apply_cubic_bezier | ( | const ptree & | p0_key,
|  | const ptree & | p3_key,
|  | Functor | op
| ) |  |

Definition at line 175 of file qianim.h.

template<typename T >

std::enable_if<std::is_floating_point<T>::value>::type AL::qianim::V2::Key::check_cubic_bezier | ( | int | p0_frame,
|  | T | ,
|  | T | p1_dframe,
|  | T | ,
|  | T | p2_dframe,
|  | T | ,
|  | int | p3_frame,
|  | T |
| ) |  |

Definition at line 139 of file qianim.h.

ALMATH_API ptree::size_type AL::qianim::V2::Key::erase_tangent | ( | ptree & | pt,
|  | Side | side
| ) |  |

ALMATH_API int AL::qianim::V2::Key::get_frame | ( | const ptree & | pt | ) |

const ptree& AL::qianim::V2::Key::get_tangent | ( | const ptree & | pt,
|  | Side | side
| ) |  |
| inline

Definition at line 100 of file qianim.h.

ptree& AL::qianim::V2::Key::get_tangent | ( | ptree & | pt,
|  | Side | side
| ) |  |
| inline

Definition at line 104 of file qianim.h.

ALMATH_API optional<const ptree &> AL::qianim::V2::Key::get_tangent_optional | ( | const ptree & | pt,
|  | Side | side
| ) |  |

ALMATH_API optional<ptree &> AL::qianim::V2::Key::get_tangent_optional | ( | ptree & | pt,
|  | Side | side
| ) |  |

template<typename T >

std::enable_if<std::is_floating_point<T>::value, T>::type AL::qianim::V2::Key::get_value | ( | const ptree & | pt | ) |

Definition at line 123 of file qianim.h.

ALMATH_API bool AL::qianim::V2::Key::is_key | ( | const ptree::value_type & | val | ) |

ALMATH_API void AL::qianim::V2::Key::put_frame | ( | ptree & | pt,
|  | int | frame
| ) |  |

template<typename T >

std::enable_if<std::is_floating_point<T>::value, ptree &>::type AL::qianim::V2::Key::put_tangent | ( | ptree & | pt,
|  | Side | side,
|  | T | abscissa,
|  | T | ordinate
| ) |  |

Definition at line 114 of file qianim.h.

template<typename T >

std::enable_if<std::is_floating_point<T>::value>::type AL::qianim::V2::Key::put_value | ( | ptree & | pt,
|  | T | value
| ) |  |

Definition at line 129 of file qianim.h.

ALMATH_API ptree& AL::qianim::V2::Key::require_tangent | ( | ptree & | pt,
|  | Side | side
| ) |  |